org.apache.cassandra.service

## Interface CASConditions

All Known Implementing Classes:
  CQL3CasConditions

    public interface CASConditions

Abstract the conditions to be fulfilled by a CAS operation.

### Method Summary

Methods
`boolean` `appliesTo(ColumnFamily current)` Returns whether the provided CF, that represents the values fetched using the readFilter(), match the CAS conditions this object stands for.
`IDiskAtomFilter` `readFilter()` The filter to use to fetch the value to compare for the CAS.

### Method Detail

#### readFilter

    IDiskAtomFilter readFilter()

The filter to use to fetch the value to compare for the CAS.

#### appliesTo

    boolean appliesTo(ColumnFamily current)
                      throws InvalidRequestException

Returns whether the provided CF, that represents the values fetched using the readFilter(), match the CAS conditions this object stands for.

Throws:
  `InvalidRequestException`